%define rel      1

Name: qyoto
Summary: C# Mono Qt 4 bindings
Version:   4.8.2
Release: %mkrel %{rel}
Epoch: 1
Group: Development/KDE and Qt
License: GPLv2 and LGPLv2
URL: https://projects.kde.org/projects/kde/kdebindings/csharp/qyoto
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: smokegen-devel >= 1:%version
BuildRequires: smokeqt-devel >= 1:%version
BuildRequires: pkgconfig(mono)
BuildRequires: pkgconfig(phonon)
BuildRequires: pkgconfig(qimageblitz)
BuildRequires: qscintilla-qt4-devel
BuildRequires: cmake

Provides: mono-qt4 = %epoch:%version-%release

%description
.NET/Mono bindings for the Qt libraries.

%files
%_prefix/lib/mono/qyoto/qt-dotnet.dll
%_prefix/lib/mono/qyoto/qscintilla.dll
%_prefix/lib/mono/qyoto/qtscript.dll
%_prefix/lib/mono/qyoto/qtuitools.dll
%_prefix/lib/mono/qyoto/qtwebkit.dll
%_prefix/lib/mono/qyoto/qttest.dll
%_prefix/lib/mono/qyoto/phonon.dll
%_prefix/lib/mono/gac/qttest
%_prefix/lib/mono/gac/qt-dotnet
%_prefix/lib/mono/gac/qscintilla
%_prefix/lib/mono/gac/qtscript
%_prefix/lib/mono/gac/qtwebkit
%_prefix/lib/mono/gac/qtuitools
%_prefix/lib/mono/gac/phonon
%_libdir/libqscintilla-sharp.so
%_libdir/libqtscript-sharp.so
%_libdir/libqtuitools-sharp.so
%_libdir/libqtwebkit-sharp.so
%_libdir/libqttest-sharp.so
%_libdir/libphonon-sharp.so

#------------------------------------------------------------------------------

%define libqyoto_major 2
%define libqyoto %mklibname qyoto %{libqyoto_major}

%package -n %{libqyoto}
Summary: Runtime library for Qt NET/Mono bindings 
Group: Development/KDE and Qt

%description -n %{libqyoto}
.NET/Mono bindings for the Qt libraries.

This package provides the runtime library.

%files -n %{libqyoto}
%_libdir/libqyoto.so.%{libqyoto_major}*

#------------------------------------------------------------------------------

%package -n qyoto-devel
Summary: Header files for qyoto
Group: Development/KDE and Qt
Provides: mono-qt4-devel = %epoch:%version-%release
Requires: qyoto = %epoch:%version-%release
Requires: %{libqyoto} = %epoch:%version-%release
Conflicts: qyoto < 1:4.4.95

%description -n qyoto-devel
.NET/Mono bindings for the Qt libraries.

This package provides the headers files needed to build a package against
%{name}.

%files -n qyoto-devel
%_bindir/csrcc
%_bindir/uics
%_includedir/qyoto
%_libdir/libqyoto.so
%_libdir/pkgconfig/qyoto.pc
%_libdir/pkgconfig/qtscript-sharp.pc
%_libdir/pkgconfig/qttest-sharp.pc
%_libdir/pkgconfig/qtuitools-sharp.pc
%_libdir/pkgconfig/qtwebkit-sharp.pc
%_datadir/qyoto/cmake/*
%_datadir/qyoto/key.snk

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_qt4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228458
- new version 4.8.2

* Wed Mar 07 2012 fwang <fwang> 1:4.8.1-1.mga2
+ Revision: 220873
- new version 4.8.1

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198146
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-0.mga2
+ Revision: 190891
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 186175
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182226
- Update tarball to KDE SC 4.7.90
- Drop patch1 merged upstream
- fix macros usages

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176576
- Update tarball to KDE SC 4.7.4
- Remove redundant BuildRequires

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161432
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151992
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140682
- Update tarball to KDE SC 4.7.1
- Update tarball to KDE SC 4.7.0
- update url
- remove old obsoletes
- use pkgconfig() for buildrequires
- remove %%defattr
- update description

* Tue Jul 12 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122658
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Fri Jul 08 2011 fwang <fwang> 1:4.6.90-2.mga2
+ Revision: 120346
- br qimageblitz-devel

* Fri Jul 01 2011 fwang <fwang> 1:4.6.90-1.mga2
+ Revision: 117122
- apply patch
- add upstream patch to fix build
- br smokeqt4
- imported package qyoto

